PO4A-TRANSLATE.1P(1)

NOM
po4a-translate - Convertir un fichier PO en fichier de documentation

SYNOPSIS
po4a-translate -f fmt -m chapi.doc -p XX.po -l XX.doc

(XX.doc est le fichier de sortie, les autres sont des entrées)

DESCRIPTION
L’objectif du projet po4a [PO for anything — PO pour tout] est de simplifier la traduction (et de façon plus intéressante, la maintenance des traductions) en utilisant les outils gettext dans des domaines pour lesquels ils n’étaient pas destinés, comme la documentation.

Le script po4a-translate sert à reconvertir la traduction (faite dans un fichier PO) dans le format d’origine. Le fichier PO fourni devrait être la traduction du fichier POT produit par po4a-gettextize(1).

OPTIONS

-f, --format
    Type de format de la documentation que vous souhaitez traiter. Utilisez l’option --help-format pour afficher la liste des formats disponibles.

-a, --addendum
    Ajoute le contenu d’un fichier dans le résultat (pour ajouter le nom des membres des équipes de traduction ou une section nommée « À propos de cette traduction », par exemple). La première ligne du fichier à ajouter (l’« addendum ») doit être un en-tête valable indiquant où l’ajout doit avoir lieu (voir la section Comment ajouter des choses qui ne sont pas des traductions dans po4a(7)).

-A, --addendum-charset
    Jeu de caractères des addendas. Notez que tous les ajouts doivent partager le même jeu de caractères.

-m, --master
    Fichier contenant les documents d'origine à traduire.

-M, --master-charset
    Jeu de caractères du fichier contenant les documents à traduire.

-l, --localized
    Fichier où sera écrit le document traduit.

-L, --localized-charset
    Jeu de caractères du fichier contenant le document traduit.

-p, --po
    Fichier contenant le catalogue de messages à lire.

-o, --option
    Passe une ou des options supplémentaires au greffon de format. Référez-vous à la documentation de chaque greffon pour la liste des options valides et leurs significations. Par exemple, vous pourriez passer « -o tablecells » à l'analyseur AsciiDoc, tandis que l'analyseur de texte accepterait « -o tabs=split ».

-k, --keep
    Seuil à dépasser afin que le fichier généré soit conservé et écrit sur disque (80 par défaut). C’est-à-dire que par défaut, les fichiers générés doivent être traduits à plus de 80% pour être écrits.

-w, --width
    Nombre de colonnes dans le fichier de sortie, si le format le prend en charge (par défaut : 76).

-h, --help
    Affiche un message d’aide.

--help-format
    Énumère les formats de documentations connus de po4a.

-V, --version
    Affiche la version du script et quitte.

-v, --verbose
    Rend le programme plus bavard.

-d, --debug
    Affiche quelques informations de débogage.

--porefs type[,wrap|nowrap]
    Indique le format des références. L’argument type peut-être never pour ne pas produire de référence, file pour n’indiquer que le fichier sans le numéro de ligne, counter pour remplacer le numéro de ligne par un décompte croissant, et full pour inclure des références complètes (par défaut, la valeur full est utilisée).

    L’argument peut être suivi d’une virgule et d’un des mots clefs wrap ou nowrap. Les références sont écrites par défaut sur une seule ligne. Avec l’option wrap, les références sont placées sur plusieurs lignes, pour imiter le comportement des outils gettext (xgettext et msgmerge). Cette option deviendra la valeur par défaut dans une prochaine version, car elle est plus pertinente. L’option nowrap est disponible pour permettre aux responsables de conserver l’ancien comportement s’ils le désirent.

Ajouter du contenu (en plus de la traduction) aux fichiers générés
Pour ajouter du contenu autre que la traduction aux fichiers générés (comme le nom des membres des équipes de traduction ou une section à propos de la traduction), vous devez utiliser l’option --addendum.

La première ligne de l’addendum doit être un en-tête indiquant où l’ajout doit avoir lieu dans le fichier généré (cela peut être après ou avant une partie donnée du document). Le reste du fichier sera ajouté sans modification dans le fichier généré.

Remarquez que si l’ajout de l’un des fichiers échoue, la traduction complète est abandonnée (car le fichier manquant pourrait être celui indiquant le nom des responsables, ce qui empêcherait de les contacter pour leur signaler des erreurs de traduction).

Les en-têtes ont une syntaxe relativement rigide. Référez-vous à la page de manuel po4a(7) pour en savoir plus.

VOIR AUSSI
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTEURS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCTION
 Martin Quinson (mquinson#debian.org)

COPYRIGHT ET LICENCE
Copyright 2002-2023 SPI, inc.

Ce programme est un logiciel libre ; vous pouvez le copier et / ou le modifier sous les termes de la GPL v2.0 ou suivante (voir le fichier COPYING).